Skip to main content

Create Alert

POST/api/v1/monitoring/single-service/alerts/

Query parameters

  • project_idQuerystringoptional

    Identifier of the project to scope the request to. Optional; if omitted, the account's default project is used.

    • optional
    • if omitted, the request is applied to the default project
    example{{project_id}}
  • apikeyQuerystringoptional

    API key used for authenticating the request

    • required
    • must be a valid API key
    example{{api_key}}
  • locationQuerystringoptional

    Specifies the location for which the alert is created

    • required
    • must be a non-empty string
    example{{location}}

Request body

application/json

object
trigger_dataobject

Responses

200Successful response
object
codeinteger

HTTP status code indicating the result of the create alert request

example201
  • must be an integer
  • typically 201 for a successful creation
dataobject
errorsobject
messagestring

Status message indicating the result of the create alert operation

exampleCreated Successfully
  • must be a non-empty string
  • maximum length of 255 characters